petsc-3.10.5 2019-03-28
Report Typos and Errors

# TSGetCostGradients

Returns the gradients from the TSAdjointSolve()

### Synopsis

    #include "petscts.h"
    PetscErrorCode TSGetCostGradients(TS ts,PetscInt *numcost,Vec **lambda,Vec **mu)

Not Collective, but Vec returned is parallel if TS is parallel

### Input Parameter

ts -the TS context obtained from TSCreate()

### Output Parameter

| lambda | - vectors containing the gradients of the cost functions with respect to the ODE/DAE solution variables
| mu | - vectors containing the gradients of the cost functions with respect to the problem parameters

### See Also

TSGetTimeStep()

### Keywords

TS, timestep, get, sensitivity

### Level

intermediate

### Location

src/ts/interface/sensitivity/tssen.c
Index of all Sensitivity routines
Table of Contents for all manual pages
Index of all manual pages